/target/interval

Returns the interval for a given target

Returns the interval for a given target

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Query Parameters

NameTypeRequiredDescription
periodstringYesPeriod
metricstringYesMetric
idintegerYesId
typestringYesType
job_idintegerNoJobId
account_idintegerNoAccountId
customer_idintegerNoCustomerId
custom_filter_idintegerNoCustomFilterId
craft_idintegerNoCraftId
workpattern_idintegerNoWorkpatternId
category_idintegerNoCategoryId
position_idintegerNoPositionId
procedure_idintegerNoProcedureId
user_idintegerNoUserId
fromstringYesFrom
untilstringYesUntil
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/target/interval?period=string&metric=string&id=123&type=string&from=string&until=string&job_id=123&account_id=123' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token'

Responses

200OK
target.IntervalResultapplication/json
Example
{
  "options": [
    {...}
  ],
  "periods": [
    {...}
  ]
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
403Forbidden
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}